package ch.dlcm.solidify.model;

import ch.dlcm.solidify.process.BaseProcess;

import java.util.ArrayList;
import java.util.List;

public class QueryParametersObject {
    public List<ParametersObject> parameters;

    public QueryParametersObject() {
        parameters = new ArrayList<>();
        parameters.add(new ParametersObject(
                BaseProcess.SIZE,
                BaseProcess.QUERY,
                "The page size",
                false,
                BaseProcess.INTEGER,
                BaseProcess.FORMAT_INTEGER_INT32
        ));
        parameters.add(new ParametersObject(
                BaseProcess.PAGE,
                BaseProcess.QUERY,
                "The current page number",
                false,
                BaseProcess.INTEGER,
                BaseProcess.FORMAT_INTEGER_INT32
        ));
//        parameters.add(ParametersObject.getFiltersFormQueryParameters());
        parameters.add(new ParametersObject(
                BaseProcess.SORT,
                BaseProcess.QUERY,
                "To sort on a field. By default, the sort is ascending. desc option '[,desc]' permits to have descending order.",
                false,
                BaseProcess.STRING
        ));
    }
}
