package ch.dlcm.solidify.process;

import org.json.JSONObject;

import ch.dlcm.solidify.model.CollectionObject;
import ch.dlcm.solidify.model.PageObject;

/**
 * Add to schema collection and page
 */
public class SchemaCollectionAndPageCreationProcess extends BaseProcess {
  public SchemaCollectionAndPageCreationProcess() {
  }

  public void process(JSONObject json) {
    // Add collection info in schemas
    CollectionObject collectionObject = new CollectionObject();
    JSONObject collectionObjectJsonObject = convertObjectAsJsonObject(collectionObject);
    this.getSchemasNode(json).put(COLLECTION_NAME, collectionObjectJsonObject);
    // Add page info in schemas
    PageObject pageObject = new PageObject();
    JSONObject pageObjectJsonObject = convertObjectAsJsonObject(pageObject);
    this.getSchemasNode(json).put(PAGE_NAME, pageObjectJsonObject);
  }
}
