package ch.dlcm.solidify.model;

import ch.dlcm.solidify.process.BaseProcess;

public class ChangeInfoObject extends AttributeObject {
    public Properties properties;

    public ChangeInfoObject() {
        super(BaseProcess.OBJECT, "The change info");
        properties = new Properties();
        properties.when = new AttributeObject(BaseProcess.STRING, "The date of the executed event", BaseProcess.FORMAT_STRING_DATE_TIME);
        properties.who = new AttributeObject(BaseProcess.STRING, "The user who executed the event");
    }

    private class Properties {
        public AttributeObject when;
        public AttributeObject who;
    }
}
