package ch.dlcm.solidify;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotNull;

import org.json.JSONObject;

/**
 * Assert after execution of plugin
 */
public class AssertGeneralProcessImpl extends AssertBaseProcess {
  public AssertGeneralProcessImpl(JSONObject jsonBefore) {
    super(jsonBefore);
  }

  public void process(JSONObject jsonAfter) {
    assertNotNull(jsonAfter);
    assertEquals(jsonBefore.length(), jsonAfter.length());
  }
}
